summaryrefslogtreecommitdiffstats
path: root/source/xap/x11-ssh-askpass
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/x11-ssh-askpass')
-rw-r--r--source/xap/x11-ssh-askpass/README10
-rw-r--r--source/xap/x11-ssh-askpass/slack-desc19
-rwxr-xr-xsource/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild67
-rw-r--r--source/xap/x11-ssh-askpass/x11-ssh-askpass.info10
-rw-r--r--source/xap/x11-ssh-askpass/xprofile.sample14
5 files changed, 120 insertions, 0 deletions
diff --git a/source/xap/x11-ssh-askpass/README b/source/xap/x11-ssh-askpass/README
new file mode 100644
index 000000000..e1247b388
--- /dev/null
+++ b/source/xap/x11-ssh-askpass/README
@@ -0,0 +1,10 @@
+x11-ssh-askpass is an X11-based passphrase dialog for use with OpenSSH.
+
+To utilize this service, you will need a private SSH key in ~/.ssh/
+If you log on using kdm, then just create a ~/.xprofile with the
+contents of /usr/doc/x11-ssh-askpass-1.2.4.1/xprofile.sample
+
+If you are launching X from console (with startx), then you can edit your
+~/.xinitrc to source ~/.xprofile or just add the contents of ~/.xprofile
+to ~/.xinitrc to it. Of course, there are other acceptable ways to do
+the same thing - gurus can roll their own.
diff --git a/source/xap/x11-ssh-askpass/slack-desc b/source/xap/x11-ssh-askpass/slack-desc
new file mode 100644
index 000000000..d467253f4
--- /dev/null
+++ b/source/xap/x11-ssh-askpass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------|
+x11-ssh-askpass: x11-ssh-askpass (an X11-based passphrase dialog)
+x11-ssh-askpass:
+x11-ssh-askpass: x11-ssh-askpass is an X11-based passphrase dialog for use
+x11-ssh-askpass: with OpenSSH.
+x11-ssh-askpass:
+x11-ssh-askpass:
+x11-ssh-askpass:
+x11-ssh-askpass:
+x11-ssh-askpass:
+x11-ssh-askpass:
+x11-ssh-askpass:
diff --git a/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild b/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild
new file mode 100755
index 000000000..837b7f8a9
--- /dev/null
+++ b/source/xap/x11-ssh-askpass/x11-ssh-askpass.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for x11-ssh-askpass
+# Written by "Vincent Batts <vbatts@batts.mine.nu>"
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+VERSION=1.2.4.1
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+TAG=${TAG:-}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-x11-ssh-askpass
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf x11-ssh-askpass-$VERSION
+tar xvf $CWD/x11-ssh-askpass-$VERSION.tar.gz
+cd x11-ssh-askpass-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --with-app-defaults-dir=/etc/X11/app-defaults
+
+xmkmf || exit 1
+make includes || exit 1
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+make install.man DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+gzip -9 $PKG/usr/man/man1/x11-ssh-askpass.1x
+
+mkdir -p $PKG/usr/doc/x11-ssh-askpass-$VERSION
+cp README $CWD/xprofile.sample $PKG/usr/doc/x11-ssh-askpass-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/x11-ssh-askpass-$VERSION-$ARCH-$BUILD$TAG.txz
diff --git a/source/xap/x11-ssh-askpass/x11-ssh-askpass.info b/source/xap/x11-ssh-askpass/x11-ssh-askpass.info
new file mode 100644
index 000000000..3a94bf367
--- /dev/null
+++ b/source/xap/x11-ssh-askpass/x11-ssh-askpass.info
@@ -0,0 +1,10 @@
+PRGNAM="x11-ssh-askpass"
+VERSION="1.2.4.1"
+HOMEPAGE="http://www.jmknoble.net/software/x11-ssh-askpass/"
+DOWNLOAD="http://www.jmknoble.net/software/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1.tar.gz"
+MD5SUM="8f2e41f3f7eaa8543a2440454637f3c3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="rworkman"
diff --git a/source/xap/x11-ssh-askpass/xprofile.sample b/source/xap/x11-ssh-askpass/xprofile.sample
new file mode 100644
index 000000000..dce0eae0c
--- /dev/null
+++ b/source/xap/x11-ssh-askpass/xprofile.sample
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+usessh=${usessh:-yes}
+
+if test "$usessh" = "yes" -a -d $HOME/.ssh ; then
+ SSH_ASKPASS="/usr/libexec/x11-ssh-askpass"
+ if [ -x $SSH_ASKPASS ] ; then
+ export SSH_ASKPASS
+ ssh-agent > $HOME/.ssh/agent
+ . $HOME/.ssh/agent
+ ssh-add
+ fi
+fi
+